Skip to content

updateStockTransferStatus

WRITE

Update stock transfer status.

POST /api/v1/inventory/updateStockTransferStatus
curl -X POST '<your-host>/api/v1/inventory/updateStockTransferStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Draft",
    "completedAt": "string"
  }'

Parameters

ParameterType
"Draft""Released""In Progress""Completed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Released",
        "In Progress",
        "Completed"
      ]
    },
    "assignee": {
      "type": [
        "string",
        "null"
      ]
    },
    "completedAt": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "status",
    "completedAt"
  ]
}